API Reference - POST /textmessaging/status
Page content
Notice
This API endpoint is still in active development and the documentation is subject to change.
The send message endpoint is designed to allow agencies to check the send status of a text message.
Resource
POST /api/textmessaging/status
Authorization
In order to call this api method, you must be an approved Talent Acquision System with a sponsoring agency. The Send Message endpoint requires that the calling application's IP address is registered with USAJOBS. An API key is also required to be passed in through a X-Api-Key header. For registering your application's IP address with us and/or getting an API key, please contact the help desk.
JSON Body Properties
| Parameter Name | Description |
|---|---|
|
ResponseId |
Unique text message identifier provided by the response of the send message endpoint. |
Request
JSON:
{
"responseId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
}
Response
JSON:
{
"responseId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"deliveryStatus": "Delivered",
"deliveryStatusDetails": "2000: Message Delivered Successfully",
"successfulSegments": 1,
"failedSegments": 0
}
| Name | Description | Type |
|---|---|---|
| responseId | The text message identifier that can be used to see the send status for a text message. | guid |
| deliveryStatus | The sent status of the text message. Possible values are "Delivered" and "Failed". | string |
| deliveryStatusDetails |
A more detailed status message for the text message. Available values are listed below. More items will be added to the list:
|
string |
| successfulSegments | The number of successful segments sent for the text message. | int |
| failedSegments | The number of failed segments not sent for the text message. | int |
Error Codes
If any of the below error codes are provided, the HTTP status code will be 400.
| Code | Description |
|---|---|
| ResponseIDEmpty | A response Id was not provided in the request. |
| TextMessageNotFound | A text message was not found for the provided response Id. |
JSON:
{
"error": {
"code": "BadRequest",
"message": "'Response ID' must not be empty.",
"target": "responseID",
"details": [
{
"code": "ResponseIDEmpty",
"message": "'Response ID' must not be empty.",
"target": "responseID"
}
]
}
}
An official website of the United States Government